-#!/bin/sh -ue
+#!/bin/sh
+
+set -u
+set -e
if [ $# -lt 4 ]; then
echo "Usage: $0 filename version arch changes_file"
exit 1
fi
+export SCRIPTVARS=/srv/ftp-master.debian.org/dak/config/debian/vars
+. $SCRIPTVARS
+
WIN32_LOADER_FILE="$1" # *-win32-loader{.exe,txt}
VERSION="$2"
ARCH="$3"
CHANGES="$4" # Changes file for the upload
-error() {
- echo "$*"
- exit 1
-}
-
# Get the target suite from the Changes file
# NOTE: it may be better to pass this to the script as a parameter!
SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
case $SUITE in
"")
- error "Error: unable to determine suite from Changes file"
- ;;
+ echo "Error: unable to determine suite from Changes file"
+ exit 1
+ ;;
unstable|sid)
- : # nothing to do
- ;;
+ : # nothing to do
+ ;;
*)
- SUITE="${SUITE}-proposed-updates"
- ;;
+ SUITE="${SUITE}-proposed-updates"
+ ;;
esac
# This must end with /
-TARGET="/srv/ftp-master.debian.org/ftp/tools/"
+TARGET="${ftpdir}/tools/win32-loader/${SUITE}/"
# Check validity of the target directory
if [ ! -d "$TARGET" ]; then
# Put said file into the tools directory
cp "$WIN32_LOADER_FILE" "$TARGET"
-trap - EXIT
-cleanup
-
exit 0